Subject: Re: M-; rebound in message-mode

From: Stefan Monnier <[email-masked]>
Date: Thu, 21 Oct 2010 16:31:59 -0400

SM> No, M-; should usually not be rebound in major-mods.
>>> Yuck. E.g., as I write this it is bound to comment-region.
SM> Sounds like a misfeature of the major mode you're using.  Can you give
SM> us some details?
> major-mode ^U^X^E message-mode
> M-; (translated from <escape> ;) runs the command comment-region,
> which is an interactive autoloaded Lisp function in `newcomment.el'.

Thanks.  It might make sense for message-mode to redefine the binding
somewhat since it's not really a programming mode, but this binding
means that M-; can't be used to un-quote, so it's not a good idea as
it stands.

        Stefan